gsasl_client_application_data_set(3)

NAME
gsasl_client_application_data_set - API function

SYNOPSIS
#include <gsasl.h>

void gsasl_client_application_data_set(Gsasl_session * sctx, void * application_data);

ARGUMENTS

Gsasl_session * sctx
    libgsasl client handle.

void * application_data
    opaque pointer to application specific data.

DESCRIPTION
Store application specific data in the libgsasl client handle. The application data can be later (for instance, inside a callback) be retrieved by calling gsasl_client_application_data_get(). It is normally used by the application to maintain state between the main program and the callback.

DEPRECATED
Use gsasl_callback_hook_set() or gsasl_session_hook_set() instead.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.